Package org.eclipse.jdt.ui.actions

## Class ShowActionGroup

- java.lang.Object
- - org.eclipse.ui.actions.ActionGroup
  - - org.eclipse.jdt.ui.actions.ShowActionGroup

    @Deprecated
    public class ShowActionGroup
    extends ActionGroup

Deprecated.
As of 3.5, got replaced by generic Navigate > Show In >
Action group that adds the show actions to a context menu and the action bar's navigate menu.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`ShowActionGroup​(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor part)` Deprecated. Note: This constructor is for internal use only.
`ShowActionGroup​(IViewPart part)` Deprecated. Creates a new `ShowActionGroup`.
`ShowActionGroup​(Page page)` Deprecated. Creates a new `ShowActionGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `dispose()` Deprecated.
`void` `fillActionBars​(IActionBars actionBar)` Deprecated.
`void` `fillContextMenu​(IMenuManager menu)` Deprecated.

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`getContext, setContext, updateActionBars`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowActionGroup

    public ShowActionGroup​(Page page)

Deprecated.
Creates a new `ShowActionGroup`. The action requires that the selection provided by the page's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `page` - the page that owns this action group

#### ShowActionGroup

    public ShowActionGroup​(IViewPart part)

Deprecated.
Creates a new `ShowActionGroup`. The action requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

#### ShowActionGroup

    public ShowActionGroup​(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor part)

Deprecated.
Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `part` - the Java editor
Restriction:
  This constructor is not intended to be referenced by clients.

### Method Detail

#### fillActionBars

    public void fillActionBars​(IActionBars actionBar)

Deprecated.

Overrides:
  `fillActionBars` in class `ActionGroup`

#### fillContextMenu

    public void fillContextMenu​(IMenuManager menu)

Deprecated.

Overrides:
  `fillContextMenu` in class `ActionGroup`

#### dispose

    public void dispose()

Deprecated.

Overrides:
  `dispose` in class `ActionGroup`